#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioDestinationNode" "\0"
  /*   356 */ "AudioListener" "\0"
  /*   370 */ "AudioNode" "\0"
  /*   380 */ "AudioParam" "\0"
  /*   391 */ "AudioParamMap" "\0"
  /*   405 */ "AudioProcessingEvent" "\0"
  /*   426 */ "AudioScheduledSourceNode" "\0"
  /*   451 */ "AudioTrack" "\0"
  /*   462 */ "AudioTrackList" "\0"
  /*   477 */ "AudioWorklet" "\0"
  /*   490 */ "AudioWorkletGlobalScope" "\0"
  /*   514 */ "AudioWorkletNode" "\0"
  /*   531 */ "AudioWorkletProcessor" "\0"
  /*   553 */ "AuthenticatorAssertionResponse" "\0"
  /*   584 */ "AuthenticatorAttestationResponse" "\0"
  /*   617 */ "AuthenticatorResponse" "\0"
  /*   639 */ "BarProp" "\0"
  /*   647 */ "BaseAudioContext" "\0"
  /*   664 */ "BatteryManager" "\0"
  /*   679 */ "BeforeUnloadEvent" "\0"
  /*   697 */ "BiquadFilterNode" "\0"
  /*   714 */ "Blob" "\0"
  /*   719 */ "BlobEvent" "\0"
  /*   729 */ "BroadcastChannel" "\0"
  /*   746 */ "BrowsingContext" "\0"
  /*   762 */ "BrowsingContextGroup" "\0"
  /*   783 */ "ByteLengthQueuingStrategy" "\0"
  /*   809 */ "CDATASection" "\0"
  /*   822 */ "CSS" "\0"
  /*   826 */ "CSS2Properties" "\0"
  /*   841 */ "CSSAnimation" "\0"
  /*   854 */ "CSSConditionRule" "\0"
  /*   871 */ "CSSContainerRule" "\0"
  /*   888 */ "CSSCounterStyleRule" "\0"
  /*   908 */ "CSSFontFaceRule" "\0"
  /*   924 */ "CSSFontFeatureValuesRule" "\0"
  /*   949 */ "CSSFontPaletteValuesRule" "\0"
  /*   974 */ "CSSGroupingRule" "\0"
  /*   990 */ "CSSImportRule" "\0"
  /*  1004 */ "CSSKeyframeRule" "\0"
  /*  1020 */ "CSSKeyframesRule" "\0"
  /*  1037 */ "CSSLayerBlockRule" "\0"
  /*  1055 */ "CSSLayerStatementRule" "\0"
  /*  1077 */ "CSSMediaRule" "\0"
  /*  1090 */ "CSSMozDocumentRule" "\0"
  /*  1109 */ "CSSNamespaceRule" "\0"
  /*  1126 */ "CSSPageRule" "\0"
  /*  1138 */ "CSSPropertyRule" "\0"
  /*  1154 */ "CSSPseudoElement" "\0"
  /*  1171 */ "CSSRule" "\0"
  /*  1179 */ "CSSRuleList" "\0"
  /*  1191 */ "CSSStyleDeclaration" "\0"
  /*  1211 */ "CSSStyleRule" "\0"
  /*  1224 */ "CSSStyleSheet" "\0"
  /*  1238 */ "CSSSupportsRule" "\0"
  /*  1254 */ "CSSTransition" "\0"
  /*  1268 */ "Cache" "\0"
  /*  1274 */ "CacheStorage" "\0"
  /*  1287 */ "CallbackDebuggerNotification" "\0"
  /*  1316 */ "CanonicalBrowsingContext" "\0"
  /*  1341 */ "CanvasCaptureMediaStream" "\0"
  /*  1366 */ "CanvasGradient" "\0"
  /*  1381 */ "CanvasPattern" "\0"
  /*  1395 */ "CanvasRenderingContext2D" "\0"
  /*  1420 */ "CaretPosition" "\0"
  /*  1434 */ "CaretStateChangedEvent" "\0"
  /*  1457 */ "ChannelMergerNode" "\0"
  /*  1475 */ "ChannelSplitterNode" "\0"
  /*  1495 */ "ChannelWrapper" "\0"
  /*  1510 */ "CharacterData" "\0"
  /*  1524 */ "CheckerboardReportService" "\0"
  /*  1550 */ "ChildProcessMessageManager" "\0"
  /*  1577 */ "ChildSHistory" "\0"
  /*  1591 */ "ChromeMessageBroadcaster" "\0"
  /*  1616 */ "ChromeMessageSender" "\0"
  /*  1636 */ "ChromeNodeList" "\0"
  /*  1651 */ "ChromeUtils" "\0"
  /*  1663 */ "ChromeWorker" "\0"
  /*  1676 */ "Client" "\0"
  /*  1683 */ "Clients" "\0"
  /*  1691 */ "Clipboard" "\0"
  /*  1701 */ "ClipboardEvent" "\0"
  /*  1716 */ "ClipboardItem" "\0"
  /*  1730 */ "ClonedErrorHolder" "\0"
  /*  1748 */ "CloseEvent" "\0"
  /*  1759 */ "CommandEvent" "\0"
  /*  1772 */ "Comment" "\0"
  /*  1780 */ "CompositionEvent" "\0"
  /*  1797 */ "CompressionStream" "\0"
  /*  1815 */ "ConsoleInstance" "\0"
  /*  1831 */ "ConstantSourceNode" "\0"
  /*  1850 */ "ContentFrameMessageManager" "\0"
  /*  1877 */ "ContentProcessMessageManager" "\0"
  /*  1906 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  1944 */ "ConvolverNode" "\0"
  /*  1958 */ "CountQueuingStrategy" "\0"
  /*  1979 */ "CreateOfferRequest" "\0"
  /*  1998 */ "Credential" "\0"
  /*  2009 */ "CredentialsContainer" "\0"
  /*  2030 */ "Crypto" "\0"
  /*  2037 */ "CryptoKey" "\0"
  /*  2047 */ "CustomElementRegistry" "\0"
  /*  2069 */ "CustomEvent" "\0"
  /*  2081 */ "DOMException" "\0"
  /*  2094 */ "DOMImplementation" "\0"
  /*  2112 */ "DOMLocalization" "\0"
  /*  2128 */ "DOMMatrix" "\0"
  /*  2138 */ "DOMMatrixReadOnly" "\0"
  /*  2156 */ "DOMParser" "\0"
  /*  2166 */ "DOMPoint" "\0"
  /*  2175 */ "DOMPointReadOnly" "\0"
  /*  2192 */ "DOMQuad" "\0"
  /*  2200 */ "DOMRect" "\0"
  /*  2208 */ "DOMRectList" "\0"
  /*  2220 */ "DOMRectReadOnly" "\0"
  /*  2236 */ "DOMRequest" "\0"
  /*  2247 */ "DOMStringList" "\0"
  /*  2261 */ "DOMStringMap" "\0"
  /*  2274 */ "DOMTokenList" "\0"
  /*  2287 */ "DataTransfer" "\0"
  /*  2300 */ "DataTransferItem" "\0"
  /*  2317 */ "DataTransferItemList" "\0"
  /*  2338 */ "DebuggerNotification" "\0"
  /*  2359 */ "DebuggerNotificationObserver" "\0"
  /*  2388 */ "DecompressionStream" "\0"
  /*  2408 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2435 */ "DelayNode" "\0"
  /*  2445 */ "DeprecationReportBody" "\0"
  /*  2467 */ "DeviceAcceleration" "\0"
  /*  2486 */ "DeviceLightEvent" "\0"
  /*  2503 */ "DeviceMotionEvent" "\0"
  /*  2521 */ "DeviceOrientationEvent" "\0"
  /*  2544 */ "DeviceRotationRate" "\0"
  /*  2563 */ "Directory" "\0"
  /*  2573 */ "Document" "\0"
  /*  2582 */ "DocumentFragment" "\0"
  /*  2599 */ "DocumentL10n" "\0"
  /*  2612 */ "DocumentTimeline" "\0"
  /*  2629 */ "DocumentType" "\0"
  /*  2642 */ "DominatorTree" "\0"
  /*  2656 */ "DragEvent" "\0"
  /*  2666 */ "DynamicsCompressorNode" "\0"
  /*  2689 */ "EXT_blend_minmax" "\0"
  /*  2706 */ "EXT_color_buffer_float" "\0"
  /*  2729 */ "EXT_color_buffer_half_float" "\0"
  /*  2757 */ "EXT_disjoint_timer_query" "\0"
  /*  2782 */ "EXT_float_blend" "\0"
  /*  2798 */ "EXT_frag_depth" "\0"
  /*  2813 */ "EXT_sRGB" "\0"
  /*  2822 */ "EXT_shader_texture_lod" "\0"
  /*  2845 */ "EXT_texture_compression_bptc" "\0"
  /*  2874 */ "EXT_texture_compression_rgtc" "\0"
  /*  2903 */ "EXT_texture_filter_anisotropic" "\0"
  /*  2934 */ "EXT_texture_norm16" "\0"
  /*  2953 */ "Element" "\0"
  /*  2961 */ "ElementInternals" "\0"
  /*  2978 */ "EncodedVideoChunk" "\0"
  /*  2996 */ "ErrorEvent" "\0"
  /*  3007 */ "Event" "\0"
  /*  3013 */ "EventCallbackDebuggerNotification" "\0"
  /*  3047 */ "EventCounts" "\0"
  /*  3059 */ "EventSource" "\0"
  /*  3071 */ "EventTarget" "\0"
  /*  3083 */ "Exception" "\0"
  /*  3093 */ "ExtendableEvent" "\0"
  /*  3109 */ "ExtendableMessageEvent" "\0"
  /*  3132 */ "ExtensionAlarms" "\0"
  /*  3148 */ "ExtensionBrowser" "\0"
  /*  3165 */ "ExtensionBrowserSettings" "\0"
  /*  3190 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3230 */ "ExtensionDns" "\0"
  /*  3243 */ "ExtensionEventManager" "\0"
  /*  3265 */ "ExtensionMockAPI" "\0"
  /*  3282 */ "ExtensionPort" "\0"
  /*  3296 */ "ExtensionProxy" "\0"
  /*  3311 */ "ExtensionRuntime" "\0"
  /*  3328 */ "ExtensionScripting" "\0"
  /*  3347 */ "ExtensionSetting" "\0"
  /*  3364 */ "ExtensionTest" "\0"
  /*  3378 */ "External" "\0"
  /*  3387 */ "FeaturePolicy" "\0"
  /*  3401 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3434 */ "FetchEvent" "\0"
  /*  3445 */ "FetchObserver" "\0"
  /*  3459 */ "File" "\0"
  /*  3464 */ "FileList" "\0"
  /*  3473 */ "FileReader" "\0"
  /*  3484 */ "FileReaderSync" "\0"
  /*  3499 */ "FileSystem" "\0"
  /*  3510 */ "FileSystemDirectoryEntry" "\0"
  /*  3535 */ "FileSystemDirectoryHandle" "\0"
  /*  3561 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3601 */ "FileSystemDirectoryIterator" "\0"
  /*  3629 */ "FileSystemDirectoryReader" "\0"
  /*  3655 */ "FileSystemEntry" "\0"
  /*  3671 */ "FileSystemFileEntry" "\0"
  /*  3691 */ "FileSystemFileHandle" "\0"
  /*  3712 */ "FileSystemHandle" "\0"
  /*  3729 */ "FileSystemSyncAccessHandle" "\0"
  /*  3756 */ "FileSystemWritableFileStream" "\0"
  /*  3785 */ "Flex" "\0"
  /*  3790 */ "FlexItemValues" "\0"
  /*  3805 */ "FlexLineValues" "\0"
  /*  3820 */ "FluentBundle" "\0"
  /*  3833 */ "FluentBundleAsyncIterator" "\0"
  /*  3859 */ "FluentBundleIterator" "\0"
  /*  3880 */ "FluentPattern" "\0"
  /*  3894 */ "FluentResource" "\0"
  /*  3909 */ "FocusEvent" "\0"
  /*  3920 */ "FontFace" "\0"
  /*  3929 */ "FontFaceSet" "\0"
  /*  3941 */ "FontFaceSetIterator" "\0"
  /*  3961 */ "FontFaceSetLoadEvent" "\0"
  /*  3982 */ "FormData" "\0"
  /*  3991 */ "FormData Iterator" "\0"
  /*  4009 */ "FormDataEvent" "\0"
  /*  4023 */ "FrameCrashedEvent" "\0"
  /*  4041 */ "FrameLoader" "\0"
  /*  4053 */ "GPU" "\0"
  /*  4057 */ "GPUAdapter" "\0"
  /*  4068 */ "GPUAdapterInfo" "\0"
  /*  4083 */ "GPUBindGroup" "\0"
  /*  4096 */ "GPUBindGroupLayout" "\0"
  /*  4115 */ "GPUBuffer" "\0"
  /*  4125 */ "GPUBufferUsage" "\0"
  /*  4140 */ "GPUCanvasContext" "\0"
  /*  4157 */ "GPUColorWrite" "\0"
  /*  4171 */ "GPUCommandBuffer" "\0"
  /*  4188 */ "GPUCommandEncoder" "\0"
  /*  4206 */ "GPUCompilationInfo" "\0"
  /*  4225 */ "GPUCompilationMessage" "\0"
  /*  4247 */ "GPUComputePassEncoder" "\0"
  /*  4269 */ "GPUComputePipeline" "\0"
  /*  4288 */ "GPUDevice" "\0"
  /*  4298 */ "GPUDeviceLostInfo" "\0"
  /*  4316 */ "GPUMapMode" "\0"
  /*  4327 */ "GPUOutOfMemoryError" "\0"
  /*  4347 */ "GPUPipelineLayout" "\0"
  /*  4365 */ "GPUQuerySet" "\0"
  /*  4377 */ "GPUQueue" "\0"
  /*  4386 */ "GPURenderBundle" "\0"
  /*  4402 */ "GPURenderBundleEncoder" "\0"
  /*  4425 */ "GPURenderPassEncoder" "\0"
  /*  4446 */ "GPURenderPipeline" "\0"
  /*  4464 */ "GPUSampler" "\0"
  /*  4475 */ "GPUShaderModule" "\0"
  /*  4491 */ "GPUShaderStage" "\0"
  /*  4506 */ "GPUSupportedFeatures" "\0"
  /*  4527 */ "GPUSupportedLimits" "\0"
  /*  4546 */ "GPUTexture" "\0"
  /*  4557 */ "GPUTextureUsage" "\0"
  /*  4573 */ "GPUTextureView" "\0"
  /*  4588 */ "GPUUncapturedErrorEvent" "\0"
  /*  4612 */ "GPUValidationError" "\0"
  /*  4631 */ "GainNode" "\0"
  /*  4640 */ "Gamepad" "\0"
  /*  4648 */ "GamepadAxisMoveEvent" "\0"
  /*  4669 */ "GamepadButton" "\0"
  /*  4683 */ "GamepadButtonEvent" "\0"
  /*  4702 */ "GamepadEvent" "\0"
  /*  4715 */ "GamepadHapticActuator" "\0"
  /*  4737 */ "GamepadLightIndicator" "\0"
  /*  4759 */ "GamepadPose" "\0"
  /*  4771 */ "GamepadServiceTest" "\0"
  /*  4790 */ "GamepadTouch" "\0"
  /*  4803 */ "Geolocation" "\0"
  /*  4815 */ "GeolocationCoordinates" "\0"
  /*  4838 */ "GeolocationPosition" "\0"
  /*  4858 */ "GeolocationPositionError" "\0"
  /*  4883 */ "GetUserMediaRequest" "\0"
  /*  4903 */ "GleanCategory" "\0"
  /*  4917 */ "GleanImpl" "\0"
  /*  4927 */ "GleanLabeled" "\0"
  /*  4940 */ "GleanPingsImpl" "\0"
  /*  4955 */ "Grid" "\0"
  /*  4960 */ "GridArea" "\0"
  /*  4969 */ "GridDimension" "\0"
  /*  4983 */ "GridLine" "\0"
  /*  4992 */ "GridLines" "\0"
  /*  5002 */ "GridTrack" "\0"
  /*  5012 */ "GridTracks" "\0"
  /*  5023 */ "HTMLAllCollection" "\0"
  /*  5041 */ "HTMLAnchorElement" "\0"
  /*  5059 */ "HTMLAreaElement" "\0"
  /*  5075 */ "HTMLAudioElement" "\0"
  /*  5092 */ "HTMLBRElement" "\0"
  /*  5106 */ "HTMLBaseElement" "\0"
  /*  5122 */ "HTMLBodyElement" "\0"
  /*  5138 */ "HTMLButtonElement" "\0"
  /*  5156 */ "HTMLCanvasElement" "\0"
  /*  5174 */ "HTMLCollection" "\0"
  /*  5189 */ "HTMLDListElement" "\0"
  /*  5206 */ "HTMLDataElement" "\0"
  /*  5222 */ "HTMLDataListElement" "\0"
  /*  5242 */ "HTMLDetailsElement" "\0"
  /*  5261 */ "HTMLDialogElement" "\0"
  /*  5279 */ "HTMLDirectoryElement" "\0"
  /*  5300 */ "HTMLDivElement" "\0"
  /*  5315 */ "HTMLDocument" "\0"
  /*  5328 */ "HTMLElement" "\0"
  /*  5340 */ "HTMLEmbedElement" "\0"
  /*  5357 */ "HTMLFieldSetElement" "\0"
  /*  5377 */ "HTMLFontElement" "\0"
  /*  5393 */ "HTMLFormControlsCollection" "\0"
  /*  5420 */ "HTMLFormElement" "\0"
  /*  5436 */ "HTMLFrameElement" "\0"
  /*  5453 */ "HTMLFrameSetElement" "\0"
  /*  5473 */ "HTMLHRElement" "\0"
  /*  5487 */ "HTMLHeadElement" "\0"
  /*  5503 */ "HTMLHeadingElement" "\0"
  /*  5522 */ "HTMLHtmlElement" "\0"
  /*  5538 */ "HTMLIFrameElement" "\0"
  /*  5556 */ "HTMLImageElement" "\0"
  /*  5573 */ "HTMLInputElement" "\0"
  /*  5590 */ "HTMLLIElement" "\0"
  /*  5604 */ "HTMLLabelElement" "\0"
  /*  5621 */ "HTMLLegendElement" "\0"
  /*  5639 */ "HTMLLinkElement" "\0"
  /*  5655 */ "HTMLMapElement" "\0"
  /*  5670 */ "HTMLMarqueeElement" "\0"
  /*  5689 */ "HTMLMediaElement" "\0"
  /*  5706 */ "HTMLMenuElement" "\0"
  /*  5722 */ "HTMLMetaElement" "\0"
  /*  5738 */ "HTMLMeterElement" "\0"
  /*  5755 */ "HTMLModElement" "\0"
  /*  5770 */ "HTMLOListElement" "\0"
  /*  5787 */ "HTMLObjectElement" "\0"
  /*  5805 */ "HTMLOptGroupElement" "\0"
  /*  5825 */ "HTMLOptionElement" "\0"
  /*  5843 */ "HTMLOptionsCollection" "\0"
  /*  5865 */ "HTMLOutputElement" "\0"
  /*  5883 */ "HTMLParagraphElement" "\0"
  /*  5904 */ "HTMLParamElement" "\0"
  /*  5921 */ "HTMLPictureElement" "\0"
  /*  5940 */ "HTMLPreElement" "\0"
  /*  5955 */ "HTMLProgressElement" "\0"
  /*  5975 */ "HTMLQuoteElement" "\0"
  /*  5992 */ "HTMLScriptElement" "\0"
  /*  6010 */ "HTMLSelectElement" "\0"
  /*  6028 */ "HTMLSlotElement" "\0"
  /*  6044 */ "HTMLSourceElement" "\0"
  /*  6062 */ "HTMLSpanElement" "\0"
  /*  6078 */ "HTMLStyleElement" "\0"
  /*  6095 */ "HTMLTableCaptionElement" "\0"
  /*  6119 */ "HTMLTableCellElement" "\0"
  /*  6140 */ "HTMLTableColElement" "\0"
  /*  6160 */ "HTMLTableElement" "\0"
  /*  6177 */ "HTMLTableRowElement" "\0"
  /*  6197 */ "HTMLTableSectionElement" "\0"
  /*  6221 */ "HTMLTemplateElement" "\0"
  /*  6241 */ "HTMLTextAreaElement" "\0"
  /*  6261 */ "HTMLTimeElement" "\0"
  /*  6277 */ "HTMLTitleElement" "\0"
  /*  6294 */ "HTMLTrackElement" "\0"
  /*  6311 */ "HTMLUListElement" "\0"
  /*  6328 */ "HTMLUnknownElement" "\0"
  /*  6347 */ "HTMLVideoElement" "\0"
  /*  6364 */ "HashChangeEvent" "\0"
  /*  6380 */ "Headers" "\0"
  /*  6388 */ "Headers Iterator" "\0"
  /*  6405 */ "HeapSnapshot" "\0"
  /*  6418 */ "Highlight" "\0"
  /*  6428 */ "HighlightRegistry" "\0"
  /*  6446 */ "History" "\0"
  /*  6454 */ "IDBCursor" "\0"
  /*  6464 */ "IDBCursorWithValue" "\0"
  /*  6483 */ "IDBDatabase" "\0"
  /*  6495 */ "IDBFactory" "\0"
  /*  6506 */ "IDBIndex" "\0"
  /*  6515 */ "IDBKeyRange" "\0"
  /*  6527 */ "IDBLocaleAwareKeyRange" "\0"
  /*  6550 */ "IDBObjectStore" "\0"
  /*  6565 */ "IDBOpenDBRequest" "\0"
  /*  6582 */ "IDBRequest" "\0"
  /*  6593 */ "IDBTransaction" "\0"
  /*  6608 */ "IDBVersionChangeEvent" "\0"
  /*  6630 */ "IIRFilterNode" "\0"
  /*  6644 */ "IOUtils" "\0"
  /*  6652 */ "IdentityCredential" "\0"
  /*  6671 */ "IdleDeadline" "\0"
  /*  6684 */ "Image" "\0"
  /*  6690 */ "ImageBitmap" "\0"
  /*  6702 */ "ImageBitmapRenderingContext" "\0"
  /*  6730 */ "ImageCapture" "\0"
  /*  6743 */ "ImageCaptureError" "\0"
  /*  6761 */ "ImageCaptureErrorEvent" "\0"
  /*  6784 */ "ImageData" "\0"
  /*  6794 */ "ImageDocument" "\0"
  /*  6808 */ "InputEvent" "\0"
  /*  6819 */ "InspectorFontFace" "\0"
  /*  6837 */ "InspectorUtils" "\0"
  /*  6852 */ "InstallTriggerImpl" "\0"
  /*  6871 */ "IntersectionObserver" "\0"
  /*  6892 */ "IntersectionObserverEntry" "\0"
  /*  6918 */ "IntlUtils" "\0"
  /*  6928 */ "JSProcessActorChild" "\0"
  /*  6948 */ "JSProcessActorParent" "\0"
  /*  6969 */ "JSWindowActorChild" "\0"
  /*  6988 */ "JSWindowActorParent" "\0"
  /*  7008 */ "KeyEvent" "\0"
  /*  7017 */ "KeyboardEvent" "\0"
  /*  7031 */ "KeyframeEffect" "\0"
  /*  7046 */ "L10nFileSource" "\0"
  /*  7061 */ "L10nOverlays" "\0"
  /*  7074 */ "L10nRegistry" "\0"
  /*  7087 */ "LargestContentfulPaint" "\0"
  /*  7110 */ "LegacyMozTCPSocket" "\0"
  /*  7129 */ "Localization" "\0"
  /*  7142 */ "Location" "\0"
  /*  7151 */ "Lock" "\0"
  /*  7156 */ "LockManager" "\0"
  /*  7168 */ "MIDIAccess" "\0"
  /*  7179 */ "MIDIConnectionEvent" "\0"
  /*  7199 */ "MIDIInput" "\0"
  /*  7209 */ "MIDIInputMap" "\0"
  /*  7222 */ "MIDIMessageEvent" "\0"
  /*  7239 */ "MIDIOutput" "\0"
  /*  7250 */ "MIDIOutputMap" "\0"
  /*  7264 */ "MIDIPort" "\0"
  /*  7273 */ "MOZ_debug" "\0"
  /*  7283 */ "MatchGlob" "\0"
  /*  7293 */ "MatchPattern" "\0"
  /*  7306 */ "MatchPatternSet" "\0"
  /*  7322 */ "MathMLElement" "\0"
  /*  7336 */ "MediaCapabilities" "\0"
  /*  7354 */ "MediaCapabilitiesInfo" "\0"
  /*  7376 */ "MediaControlService" "\0"
  /*  7396 */ "MediaController" "\0"
  /*  7412 */ "MediaDeviceInfo" "\0"
  /*  7428 */ "MediaDevices" "\0"
  /*  7441 */ "MediaElementAudioSourceNode" "\0"
  /*  7469 */ "MediaEncryptedEvent" "\0"
  /*  7489 */ "MediaError" "\0"
  /*  7500 */ "MediaKeyError" "\0"
  /*  7514 */ "MediaKeyMessageEvent" "\0"
  /*  7535 */ "MediaKeySession" "\0"
  /*  7551 */ "MediaKeyStatusMap" "\0"
  /*  7569 */ "MediaKeyStatusMap Iterator" "\0"
  /*  7596 */ "MediaKeySystemAccess" "\0"
  /*  7617 */ "MediaKeys" "\0"
  /*  7627 */ "MediaList" "\0"
  /*  7637 */ "MediaMetadata" "\0"
  /*  7651 */ "MediaQueryList" "\0"
  /*  7666 */ "MediaQueryListEvent" "\0"
  /*  7686 */ "MediaRecorder" "\0"
  /*  7700 */ "MediaRecorderErrorEvent" "\0"
  /*  7724 */ "MediaSession" "\0"
  /*  7737 */ "MediaSource" "\0"
  /*  7749 */ "MediaStream" "\0"
  /*  7761 */ "MediaStreamAudioDestinationNode" "\0"
  /*  7793 */ "MediaStreamAudioSourceNode" "\0"
  /*  7820 */ "MediaStreamError" "\0"
  /*  7837 */ "MediaStreamEvent" "\0"
  /*  7854 */ "MediaStreamTrack" "\0"
  /*  7871 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  7903 */ "MediaStreamTrackEvent" "\0"
  /*  7925 */ "MerchantValidationEvent" "\0"
  /*  7949 */ "MessageBroadcaster" "\0"
  /*  7968 */ "MessageChannel" "\0"
  /*  7983 */ "MessageEvent" "\0"
  /*  7996 */ "MessageListenerManager" "\0"
  /*  8019 */ "MessagePort" "\0"
  /*  8031 */ "MessageSender" "\0"
  /*  8045 */ "MimeType" "\0"
  /*  8054 */ "MimeTypeArray" "\0"
  /*  8068 */ "MouseEvent" "\0"
  /*  8079 */ "MouseScrollEvent" "\0"
  /*  8096 */ "MozCanvasPrintState" "\0"
  /*  8116 */ "MozDocumentMatcher" "\0"
  /*  8135 */ "MozDocumentObserver" "\0"
  /*  8155 */ "MozQueryInterface" "\0"
  /*  8173 */ "MozSharedMap" "\0"
  /*  8186 */ "MozSharedMap Iterator" "\0"
  /*  8208 */ "MozSharedMapChangeEvent" "\0"
  /*  8232 */ "MozStorageAsyncStatementParams" "\0"
  /*  8263 */ "MozStorageStatementParams" "\0"
  /*  8289 */ "MozStorageStatementRow" "\0"
  /*  8312 */ "MozWritableSharedMap" "\0"
  /*  8333 */ "MutationEvent" "\0"
  /*  8347 */ "MutationObserver" "\0"
  /*  8364 */ "MutationRecord" "\0"
  /*  8379 */ "NamedNodeMap" "\0"
  /*  8392 */ "NavigationPreloadManager" "\0"
  /*  8417 */ "Navigator" "\0"
  /*  8427 */ "NetworkInformation" "\0"
  /*  8446 */ "Node" "\0"
  /*  8451 */ "NodeFilter" "\0"
  /*  8462 */ "NodeIterator" "\0"
  /*  8475 */ "NodeList" "\0"
  /*  8484 */ "Notification" "\0"
  /*  8497 */ "NotificationEvent" "\0"
  /*  8515 */ "NotifyPaintEvent" "\0"
  /*  8532 */ "OES_draw_buffers_indexed" "\0"
  /*  8557 */ "OES_element_index_uint" "\0"
  /*  8580 */ "OES_fbo_render_mipmap" "\0"
  /*  8602 */ "OES_standard_derivatives" "\0"
  /*  8627 */ "OES_texture_float" "\0"
  /*  8645 */ "OES_texture_float_linear" "\0"
  /*  8670 */ "OES_texture_half_float" "\0"
  /*  8693 */ "OES_texture_half_float_linear" "\0"
  /*  8723 */ "OES_vertex_array_object" "\0"
  /*  8747 */ "OVR_multiview2" "\0"
  /*  8762 */ "OfflineAudioCompletionEvent" "\0"
  /*  8790 */ "OfflineAudioContext" "\0"
  /*  8810 */ "OffscreenCanvas" "\0"
  /*  8826 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  8860 */ "Option" "\0"
  /*  8867 */ "OscillatorNode" "\0"
  /*  8882 */ "PageTransitionEvent" "\0"
  /*  8902 */ "PaintRequest" "\0"
  /*  8915 */ "PaintRequestList" "\0"
  /*  8932 */ "PaintWorkletGlobalScope" "\0"
  /*  8956 */ "PannerNode" "\0"
  /*  8967 */ "ParentProcessMessageManager" "\0"
  /*  8995 */ "Path2D" "\0"
  /*  9002 */ "PathUtils" "\0"
  /*  9012 */ "PaymentAddress" "\0"
  /*  9027 */ "PaymentMethodChangeEvent" "\0"
  /*  9052 */ "PaymentRequest" "\0"
  /*  9067 */ "PaymentRequestUpdateEvent" "\0"
  /*  9093 */ "PaymentResponse" "\0"
  /*  9109 */ "PeerConnectionImpl" "\0"
  /*  9128 */ "PeerConnectionObserver" "\0"
  /*  9151 */ "Performance" "\0"
  /*  9163 */ "PerformanceEntry" "\0"
  /*  9180 */ "PerformanceEntryEvent" "\0"
  /*  9202 */ "PerformanceEventTiming" "\0"
  /*  9225 */ "PerformanceMark" "\0"
  /*  9241 */ "PerformanceMeasure" "\0"
  /*  9260 */ "PerformanceNavigation" "\0"
  /*  9282 */ "PerformanceNavigationTiming" "\0"
  /*  9310 */ "PerformanceObserver" "\0"
  /*  9330 */ "PerformanceObserverEntryList" "\0"
  /*  9359 */ "PerformancePaintTiming" "\0"
  /*  9382 */ "PerformanceResourceTiming" "\0"
  /*  9408 */ "PerformanceServerTiming" "\0"
  /*  9432 */ "PerformanceTiming" "\0"
  /*  9450 */ "PeriodicWave" "\0"
  /*  9463 */ "PermissionStatus" "\0"
  /*  9480 */ "Permissions" "\0"
  /*  9492 */ "PlacesBookmark" "\0"
  /*  9507 */ "PlacesBookmarkAddition" "\0"
  /*  9530 */ "PlacesBookmarkChanged" "\0"
  /*  9552 */ "PlacesBookmarkGuid" "\0"
  /*  9571 */ "PlacesBookmarkKeyword" "\0"
  /*  9593 */ "PlacesBookmarkMoved" "\0"
  /*  9613 */ "PlacesBookmarkRemoved" "\0"
  /*  9635 */ "PlacesBookmarkTags" "\0"
  /*  9654 */ "PlacesBookmarkTime" "\0"
  /*  9673 */ "PlacesBookmarkTitle" "\0"
  /*  9693 */ "PlacesBookmarkUrl" "\0"
  /*  9711 */ "PlacesEvent" "\0"
  /*  9723 */ "PlacesFavicon" "\0"
  /*  9737 */ "PlacesHistoryCleared" "\0"
  /*  9758 */ "PlacesObservers" "\0"
  /*  9774 */ "PlacesPurgeCaches" "\0"
  /*  9792 */ "PlacesRanking" "\0"
  /*  9806 */ "PlacesVisit" "\0"
  /*  9818 */ "PlacesVisitRemoved" "\0"
  /*  9837 */ "PlacesVisitTitle" "\0"
  /*  9854 */ "PlacesWeakCallbackWrapper" "\0"
  /*  9880 */ "Plugin" "\0"
  /*  9887 */ "PluginArray" "\0"
  /*  9899 */ "PluginCrashedEvent" "\0"
  /*  9918 */ "PointerEvent" "\0"
  /*  9931 */ "PopStateEvent" "\0"
  /*  9945 */ "PopupBlockedEvent" "\0"
  /*  9963 */ "PopupPositionedEvent" "\0"
  /*  9984 */ "PositionStateEvent" "\0"
  /* 10003 */ "PrecompiledScript" "\0"
  /* 10021 */ "ProcessMessageManager" "\0"
  /* 10043 */ "ProcessingInstruction" "\0"
  /* 10065 */ "ProgressEvent" "\0"
  /* 10079 */ "PromiseDebugging" "\0"
  /* 10096 */ "PromiseNativeHandler" "\0"
  /* 10117 */ "PromiseRejectionEvent" "\0"
  /* 10139 */ "PublicKeyCredential" "\0"
  /* 10159 */ "PushEvent" "\0"
  /* 10169 */ "PushManager" "\0"
  /* 10181 */ "PushManagerImpl" "\0"
  /* 10197 */ "PushMessageData" "\0"
  /* 10213 */ "PushSubscription" "\0"
  /* 10230 */ "PushSubscriptionOptions" "\0"
  /* 10254 */ "RTCCertificate" "\0"
  /* 10269 */ "RTCDTMFSender" "\0"
  /* 10283 */ "RTCDTMFToneChangeEvent" "\0"
  /* 10306 */ "RTCDataChannel" "\0"
  /* 10321 */ "RTCDataChannelEvent" "\0"
  /* 10341 */ "RTCDtlsTransport" "\0"
  /* 10358 */ "RTCIceCandidate" "\0"
  /* 10374 */ "RTCIdentityProviderRegistrar" "\0"
  /* 10403 */ "RTCPeerConnection" "\0"
  /* 10421 */ "RTCPeerConnectionIceEvent" "\0"
  /* 10447 */ "RTCPeerConnectionStatic" "\0"
  /* 10471 */ "RTCRtpReceiver" "\0"
  /* 10486 */ "RTCRtpSender" "\0"
  /* 10499 */ "RTCRtpTransceiver" "\0"
  /* 10517 */ "RTCSctpTransport" "\0"
  /* 10534 */ "RTCSessionDescription" "\0"
  /* 10556 */ "RTCStatsReport" "\0"
  /* 10571 */ "RTCTrackEvent" "\0"
  /* 10585 */ "RadioNodeList" "\0"
  /* 10599 */ "Range" "\0"
  /* 10605 */ "ReadableByteStreamController" "\0"
  /* 10634 */ "ReadableStream" "\0"
  /* 10649 */ "ReadableStream AsyncIterator" "\0"
  /* 10678 */ "ReadableStreamBYOBReader" "\0"
  /* 10703 */ "ReadableStreamBYOBRequest" "\0"
  /* 10729 */ "ReadableStreamDefaultController" "\0"
  /* 10761 */ "ReadableStreamDefaultReader" "\0"
  /* 10789 */ "Report" "\0"
  /* 10796 */ "ReportBody" "\0"
  /* 10807 */ "ReportingObserver" "\0"
  /* 10825 */ "Request" "\0"
  /* 10833 */ "ResizeObserver" "\0"
  /* 10848 */ "ResizeObserverEntry" "\0"
  /* 10868 */ "ResizeObserverSize" "\0"
  /* 10887 */ "Response" "\0"
  /* 10896 */ "SVGAElement" "\0"
  /* 10908 */ "SVGAngle" "\0"
  /* 10917 */ "SVGAnimateElement" "\0"
  /* 10935 */ "SVGAnimateMotionElement" "\0"
  /* 10959 */ "SVGAnimateTransformElement" "\0"
  /* 10986 */ "SVGAnimatedAngle" "\0"
  /* 11003 */ "SVGAnimatedBoolean" "\0"
  /* 11022 */ "SVGAnimatedEnumeration" "\0"
  /* 11045 */ "SVGAnimatedInteger" "\0"
  /* 11064 */ "SVGAnimatedLength" "\0"
  /* 11082 */ "SVGAnimatedLengthList" "\0"
  /* 11104 */ "SVGAnimatedNumber" "\0"
  /* 11122 */ "SVGAnimatedNumberList" "\0"
  /* 11144 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 11175 */ "SVGAnimatedRect" "\0"
  /* 11191 */ "SVGAnimatedString" "\0"
  /* 11209 */ "SVGAnimatedTransformList" "\0"
  /* 11234 */ "SVGAnimationElement" "\0"
  /* 11254 */ "SVGCircleElement" "\0"
  /* 11271 */ "SVGClipPathElement" "\0"
  /* 11290 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11326 */ "SVGDefsElement" "\0"
  /* 11341 */ "SVGDescElement" "\0"
  /* 11356 */ "SVGElement" "\0"
  /* 11367 */ "SVGEllipseElement" "\0"
  /* 11385 */ "SVGFEBlendElement" "\0"
  /* 11403 */ "SVGFEColorMatrixElement" "\0"
  /* 11427 */ "SVGFEComponentTransferElement" "\0"
  /* 11457 */ "SVGFECompositeElement" "\0"
  /* 11479 */ "SVGFEConvolveMatrixElement" "\0"
  /* 11506 */ "SVGFEDiffuseLightingElement" "\0"
  /* 11534 */ "SVGFEDisplacementMapElement" "\0"
  /* 11562 */ "SVGFEDistantLightElement" "\0"
  /* 11587 */ "SVGFEDropShadowElement" "\0"
  /* 11610 */ "SVGFEFloodElement" "\0"
  /* 11628 */ "SVGFEFuncAElement" "\0"
  /* 11646 */ "SVGFEFuncBElement" "\0"
  /* 11664 */ "SVGFEFuncGElement" "\0"
  /* 11682 */ "SVGFEFuncRElement" "\0"
  /* 11700 */ "SVGFEGaussianBlurElement" "\0"
  /* 11725 */ "SVGFEImageElement" "\0"
  /* 11743 */ "SVGFEMergeElement" "\0"
  /* 11761 */ "SVGFEMergeNodeElement" "\0"
  /* 11783 */ "SVGFEMorphologyElement" "\0"
  /* 11806 */ "SVGFEOffsetElement" "\0"
  /* 11825 */ "SVGFEPointLightElement" "\0"
  /* 11848 */ "SVGFESpecularLightingElement" "\0"
  /* 11877 */ "SVGFESpotLightElement" "\0"
  /* 11899 */ "SVGFETileElement" "\0"
  /* 11916 */ "SVGFETurbulenceElement" "\0"
  /* 11939 */ "SVGFilterElement" "\0"
  /* 11956 */ "SVGForeignObjectElement" "\0"
  /* 11980 */ "SVGGElement" "\0"
  /* 11992 */ "SVGGeometryElement" "\0"
  /* 12011 */ "SVGGradientElement" "\0"
  /* 12030 */ "SVGGraphicsElement" "\0"
  /* 12049 */ "SVGImageElement" "\0"
  /* 12065 */ "SVGLength" "\0"
  /* 12075 */ "SVGLengthList" "\0"
  /* 12089 */ "SVGLineElement" "\0"
  /* 12104 */ "SVGLinearGradientElement" "\0"
  /* 12129 */ "SVGMPathElement" "\0"
  /* 12145 */ "SVGMarkerElement" "\0"
  /* 12162 */ "SVGMaskElement" "\0"
  /* 12177 */ "SVGMatrix" "\0"
  /* 12187 */ "SVGMetadataElement" "\0"
  /* 12206 */ "SVGNumber" "\0"
  /* 12216 */ "SVGNumberList" "\0"
  /* 12230 */ "SVGPathElement" "\0"
  /* 12245 */ "SVGPathSeg" "\0"
  /* 12256 */ "SVGPathSegArcAbs" "\0"
  /* 12273 */ "SVGPathSegArcRel" "\0"
  /* 12290 */ "SVGPathSegClosePath" "\0"
  /* 12310 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 12336 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 12362 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 12394 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 12426 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 12456 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 12486 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 12522 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 12558 */ "SVGPathSegLinetoAbs" "\0"
  /* 12578 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 12608 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 12638 */ "SVGPathSegLinetoRel" "\0"
  /* 12658 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 12686 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 12714 */ "SVGPathSegList" "\0"
  /* 12729 */ "SVGPathSegMovetoAbs" "\0"
  /* 12749 */ "SVGPathSegMovetoRel" "\0"
  /* 12769 */ "SVGPatternElement" "\0"
  /* 12787 */ "SVGPoint" "\0"
  /* 12796 */ "SVGPointList" "\0"
  /* 12809 */ "SVGPolygonElement" "\0"
  /* 12827 */ "SVGPolylineElement" "\0"
  /* 12846 */ "SVGPreserveAspectRatio" "\0"
  /* 12869 */ "SVGRadialGradientElement" "\0"
  /* 12894 */ "SVGRect" "\0"
  /* 12902 */ "SVGRectElement" "\0"
  /* 12917 */ "SVGSVGElement" "\0"
  /* 12931 */ "SVGScriptElement" "\0"
  /* 12948 */ "SVGSetElement" "\0"
  /* 12962 */ "SVGStopElement" "\0"
  /* 12977 */ "SVGStringList" "\0"
  /* 12991 */ "SVGStyleElement" "\0"
  /* 13007 */ "SVGSwitchElement" "\0"
  /* 13024 */ "SVGSymbolElement" "\0"
  /* 13041 */ "SVGTSpanElement" "\0"
  /* 13057 */ "SVGTextContentElement" "\0"
  /* 13079 */ "SVGTextElement" "\0"
  /* 13094 */ "SVGTextPathElement" "\0"
  /* 13113 */ "SVGTextPositioningElement" "\0"
  /* 13139 */ "SVGTitleElement" "\0"
  /* 13155 */ "SVGTransform" "\0"
  /* 13168 */ "SVGTransformList" "\0"
  /* 13185 */ "SVGUnitTypes" "\0"
  /* 13198 */ "SVGUseElement" "\0"
  /* 13212 */ "SVGViewElement" "\0"
  /* 13227 */ "Sanitizer" "\0"
  /* 13237 */ "Scheduler" "\0"
  /* 13247 */ "Screen" "\0"
  /* 13254 */ "ScreenLuminance" "\0"
  /* 13270 */ "ScreenOrientation" "\0"
  /* 13288 */ "ScriptProcessorNode" "\0"
  /* 13308 */ "ScrollAreaEvent" "\0"
  /* 13324 */ "ScrollViewChangeEvent" "\0"
  /* 13346 */ "SecurityPolicyViolationEvent" "\0"
  /* 13375 */ "Selection" "\0"
  /* 13385 */ "ServiceWorker" "\0"
  /* 13399 */ "ServiceWorkerContainer" "\0"
  /* 13422 */ "ServiceWorkerGlobalScope" "\0"
  /* 13447 */ "ServiceWorkerRegistration" "\0"
  /* 13473 */ "SessionStoreFormData" "\0"
  /* 13494 */ "SessionStoreScrollData" "\0"
  /* 13517 */ "SessionStoreUtils" "\0"
  /* 13535 */ "ShadowRealmGlobalScope" "\0"
  /* 13558 */ "ShadowRoot" "\0"
  /* 13569 */ "SharedWorker" "\0"
  /* 13582 */ "SharedWorkerGlobalScope" "\0"
  /* 13606 */ "SimpleGestureEvent" "\0"
  /* 13625 */ "SourceBuffer" "\0"
  /* 13638 */ "SourceBufferList" "\0"
  /* 13655 */ "SpeechGrammar" "\0"
  /* 13669 */ "SpeechGrammarList" "\0"
  /* 13687 */ "SpeechRecognition" "\0"
  /* 13705 */ "SpeechRecognitionAlternative" "\0"
  /* 13734 */ "SpeechRecognitionError" "\0"
  /* 13757 */ "SpeechRecognitionEvent" "\0"
  /* 13780 */ "SpeechRecognitionResult" "\0"
  /* 13804 */ "SpeechRecognitionResultList" "\0"
  /* 13832 */ "SpeechSynthesis" "\0"
  /* 13848 */ "SpeechSynthesisErrorEvent" "\0"
  /* 13874 */ "SpeechSynthesisEvent" "\0"
  /* 13895 */ "SpeechSynthesisUtterance" "\0"
  /* 13920 */ "SpeechSynthesisVoice" "\0"
  /* 13941 */ "StaticRange" "\0"
  /* 13953 */ "StereoPannerNode" "\0"
  /* 13970 */ "Storage" "\0"
  /* 13978 */ "StorageEvent" "\0"
  /* 13991 */ "StorageManager" "\0"
  /* 14006 */ "StreamFilter" "\0"
  /* 14019 */ "StreamFilterDataEvent" "\0"
  /* 14041 */ "StructuredCloneHolder" "\0"
  /* 14063 */ "StructuredCloneTester" "\0"
  /* 14085 */ "StyleSheet" "\0"
  /* 14096 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14133 */ "StyleSheetList" "\0"
  /* 14148 */ "SubmitEvent" "\0"
  /* 14160 */ "SubtleCrypto" "\0"
  /* 14173 */ "SyncMessageSender" "\0"
  /* 14191 */ "SyncReadFile" "\0"
  /* 14204 */ "TCPServerSocket" "\0"
  /* 14220 */ "TCPServerSocketEvent" "\0"
  /* 14241 */ "TCPSocket" "\0"
  /* 14251 */ "TCPSocketErrorEvent" "\0"
  /* 14271 */ "TCPSocketEvent" "\0"
  /* 14286 */ "TaskController" "\0"
  /* 14301 */ "TaskPriorityChangeEvent" "\0"
  /* 14325 */ "TaskSignal" "\0"
  /* 14336 */ "TelemetryStopwatch" "\0"
  /* 14355 */ "TestUtils" "\0"
  /* 14365 */ "TestingDeprecatedInterface" "\0"
  /* 14392 */ "Text" "\0"
  /* 14397 */ "TextClause" "\0"
  /* 14408 */ "TextDecoder" "\0"
  /* 14420 */ "TextDecoderStream" "\0"
  /* 14438 */ "TextEncoder" "\0"
  /* 14450 */ "TextEncoderStream" "\0"
  /* 14468 */ "TextMetrics" "\0"
  /* 14480 */ "TextTrack" "\0"
  /* 14490 */ "TextTrackCue" "\0"
  /* 14503 */ "TextTrackCueList" "\0"
  /* 14520 */ "TextTrackList" "\0"
  /* 14534 */ "TimeEvent" "\0"
  /* 14544 */ "TimeRanges" "\0"
  /* 14555 */ "ToggleEvent" "\0"
  /* 14567 */ "Touch" "\0"
  /* 14573 */ "TouchEvent" "\0"
  /* 14584 */ "TouchList" "\0"
  /* 14594 */ "TrackEvent" "\0"
  /* 14605 */ "TransformStream" "\0"
  /* 14621 */ "TransformStreamDefaultController" "\0"
  /* 14654 */ "TransitionEvent" "\0"
  /* 14670 */ "TreeColumn" "\0"
  /* 14681 */ "TreeColumns" "\0"
  /* 14693 */ "TreeContentView" "\0"
  /* 14709 */ "TreeWalker" "\0"
  /* 14720 */ "UDPMessageEvent" "\0"
  /* 14736 */ "UDPSocket" "\0"
  /* 14746 */ "UIEvent" "\0"
  /* 14754 */ "URL" "\0"
  /* 14758 */ "URLSearchParams" "\0"
  /* 14774 */ "URLSearchParams Iterator" "\0"
  /* 14799 */ "UniFFIPointer" "\0"
  /* 14813 */ "UniFFIScaffolding" "\0"
  /* 14831 */ "UserInteraction" "\0"
  /* 14847 */ "UserProximityEvent" "\0"
  /* 14866 */ "VRDisplay" "\0"
  /* 14876 */ "VRDisplayCapabilities" "\0"
  /* 14898 */ "VRDisplayEvent" "\0"
  /* 14913 */ "VREyeParameters" "\0"
  /* 14929 */ "VRFieldOfView" "\0"
  /* 14943 */ "VRFrameData" "\0"
  /* 14955 */ "VRMockController" "\0"
  /* 14972 */ "VRMockDisplay" "\0"
  /* 14986 */ "VRPose" "\0"
  /* 14993 */ "VRServiceTest" "\0"
  /* 15007 */ "VRStageParameters" "\0"
  /* 15025 */ "VTTCue" "\0"
  /* 15032 */ "VTTRegion" "\0"
  /* 15042 */ "ValidityState" "\0"
  /* 15056 */ "VideoColorSpace" "\0"
  /* 15072 */ "VideoDecoder" "\0"
  /* 15085 */ "VideoFrame" "\0"
  /* 15096 */ "VideoPlaybackQuality" "\0"
  /* 15117 */ "VideoTrack" "\0"
  /* 15128 */ "VideoTrackList" "\0"
  /* 15143 */ "VisualViewport" "\0"
  /* 15158 */ "WEBGL_color_buffer_float" "\0"
  /* 15183 */ "WEBGL_compressed_texture_astc" "\0"
  /* 15213 */ "WEBGL_compressed_texture_etc" "\0"
  /* 15242 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 15272 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 15303 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 15333 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 15368 */ "WEBGL_debug_renderer_info" "\0"
  /* 15394 */ "WEBGL_debug_shaders" "\0"
  /* 15414 */ "WEBGL_depth_texture" "\0"
  /* 15434 */ "WEBGL_draw_buffers" "\0"
  /* 15453 */ "WEBGL_explicit_present" "\0"
  /* 15476 */ "WEBGL_lose_context" "\0"
  /* 15495 */ "WEBGL_provoking_vertex" "\0"
  /* 15518 */ "WaveShaperNode" "\0"
  /* 15533 */ "WebExtensionContentScript" "\0"
  /* 15559 */ "WebExtensionPolicy" "\0"
  /* 15578 */ "WebGL2RenderingContext" "\0"
  /* 15601 */ "WebGLActiveInfo" "\0"
  /* 15617 */ "WebGLBuffer" "\0"
  /* 15629 */ "WebGLContextEvent" "\0"
  /* 15647 */ "WebGLFramebuffer" "\0"
  /* 15664 */ "WebGLProgram" "\0"
  /* 15677 */ "WebGLQuery" "\0"
  /* 15688 */ "WebGLRenderbuffer" "\0"
  /* 15706 */ "WebGLRenderingContext" "\0"
  /* 15728 */ "WebGLSampler" "\0"
  /* 15741 */ "WebGLShader" "\0"
  /* 15753 */ "WebGLShaderPrecisionFormat" "\0"
  /* 15780 */ "WebGLSync" "\0"
  /* 15790 */ "WebGLTexture" "\0"
  /* 15803 */ "WebGLTransformFeedback" "\0"
  /* 15826 */ "WebGLUniformLocation" "\0"
  /* 15847 */ "WebGLVertexArrayObject" "\0"
  /* 15870 */ "WebKitCSSMatrix" "\0"
  /* 15886 */ "WebSocket" "\0"
  /* 15896 */ "WebTransport" "\0"
  /* 15909 */ "WebTransportBidirectionalStream" "\0"
  /* 15941 */ "WebTransportDatagramDuplexStream" "\0"
  /* 15974 */ "WebTransportError" "\0"
  /* 15992 */ "WebTransportReceiveStream" "\0"
  /* 16018 */ "WebTransportSendStream" "\0"
  /* 16041 */ "WebrtcGlobalInformation" "\0"
  /* 16065 */ "WheelEvent" "\0"
  /* 16076 */ "Window" "\0"
  /* 16083 */ "WindowClient" "\0"
  /* 16096 */ "WindowContext" "\0"
  /* 16110 */ "WindowGlobalChild" "\0"
  /* 16128 */ "WindowGlobalParent" "\0"
  /* 16147 */ "WindowRoot" "\0"
  /* 16158 */ "Worker" "\0"
  /* 16165 */ "WorkerDebuggerGlobalScope" "\0"
  /* 16191 */ "WorkerGlobalScope" "\0"
  /* 16209 */ "WorkerLocation" "\0"
  /* 16224 */ "WorkerNavigator" "\0"
  /* 16240 */ "WorkerTestUtils" "\0"
  /* 16256 */ "Worklet" "\0"
  /* 16264 */ "WorkletGlobalScope" "\0"
  /* 16283 */ "WritableStream" "\0"
  /* 16298 */ "WritableStreamDefaultController" "\0"
  /* 16330 */ "WritableStreamDefaultWriter" "\0"
  /* 16358 */ "XMLDocument" "\0"
  /* 16370 */ "XMLHttpRequest" "\0"
  /* 16385 */ "XMLHttpRequestEventTarget" "\0"
  /* 16411 */ "XMLHttpRequestUpload" "\0"
  /* 16432 */ "XMLSerializer" "\0"
  /* 16446 */ "XPathEvaluator" "\0"
  /* 16461 */ "XPathExpression" "\0"
  /* 16477 */ "XPathResult" "\0"
  /* 16489 */ "XRBoundedReferenceSpace" "\0"
  /* 16513 */ "XRFrame" "\0"
  /* 16521 */ "XRInputSource" "\0"
  /* 16535 */ "XRInputSourceArray" "\0"
  /* 16554 */ "XRInputSourceEvent" "\0"
  /* 16573 */ "XRInputSourcesChangeEvent" "\0"
  /* 16599 */ "XRPose" "\0"
  /* 16606 */ "XRReferenceSpace" "\0"
  /* 16623 */ "XRReferenceSpaceEvent" "\0"
  /* 16645 */ "XRRenderState" "\0"
  /* 16659 */ "XRRigidTransform" "\0"
  /* 16676 */ "XRSession" "\0"
  /* 16686 */ "XRSessionEvent" "\0"
  /* 16701 */ "XRSpace" "\0"
  /* 16709 */ "XRSystem" "\0"
  /* 16718 */ "XRView" "\0"
  /* 16725 */ "XRViewerPose" "\0"
  /* 16738 */ "XRViewport" "\0"
  /* 16749 */ "XRWebGLLayer" "\0"
  /* 16762 */ "XSLTProcessor" "\0"
  /* 16776 */ "XULCommandEvent" "\0"
  /* 16792 */ "XULElement" "\0"
  /* 16803 */ "XULFrameElement" "\0"
  /* 16819 */ "XULMenuElement" "\0"
  /* 16834 */ "XULPopupElement" "\0"
  /* 16850 */ "XULResizerElement" "\0"
  /* 16868 */ "XULTextElement" "\0"
  /* 16883 */ "XULTreeElement" "\0"
  /* 16898 */ "console" "\0"
  /* 16906 */ "webkitSpeechGrammar" "\0"
  /* 16926 */ "webkitSpeechGrammarList" "\0"
  /* 16950 */ "webkitSpeechRecognition" "\0"
  /* 16974 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

